*** jdbc.sgml-7.1.3	Tue Sep 11 17:54:35 2001
--- jdbc.sgml	Tue Sep 11 19:06:52 2001
***************
*** 1330,1336 ****
                  obj - Object to compare with
              
          Returns:
!                 true if the two boxes are identical
  
          Overrides:
                  equals in class PGobject
--- 1330,1336 ----
                  obj - Object to compare with
              
          Returns:
!                 true if the two circles are identical
  
          Overrides:
                  equals in class PGobject
***************
*** 1395,1401 ****
   public PGline(String s) throws SQLException
                 
          Parameters:
!                 s - definition of the circle in PostgreSQL's syntax.
  
          Throws: SQLException
                  on conversion failure
--- 1395,1401 ----
   public PGline(String s) throws SQLException
                 
          Parameters:
!                 s - definition of the line in PostgreSQL's syntax.
  
          Throws: SQLException
                  on conversion failure
***************
*** 1424,1430 ****
                  obj - Object to compare with
                 
          Returns:
!                 true if the two boxes are identical
     
          Overrides:
                  equals in class PGobject
--- 1424,1430 ----
                  obj - Object to compare with
                 
          Returns:
!                 true if the two lines are identical
     
          Overrides:
                  equals in class PGobject
***************
*** 1488,1494 ****
   public PGlseg(String s) throws SQLException
  
          Parameters:
!                 s - definition of the circle in PostgreSQL's syntax.
  
          Throws: SQLException
                  on conversion failure
--- 1488,1494 ----
   public PGlseg(String s) throws SQLException
  
          Parameters:
!                 s - Definition of the line segment in PostgreSQL's syntax.
  
          Throws: SQLException
                  on conversion failure
***************
*** 1517,1523 ****
                  obj - Object to compare with
                 
          Returns:
!                 true if the two boxes are identical
     
          Overrides:
                  equals in class PGobject
--- 1517,1523 ----
                  obj - Object to compare with
                 
          Returns:
!                 true if the two line segments are identical
     
          Overrides:
                  equals in class PGobject
***************
*** 1578,1584 ****
   public PGpath(String s) throws SQLException
  
          Parameters:
!                 s - definition of the circle in PostgreSQL's syntax.
  
          Throws: SQLException
                  on conversion failure
--- 1578,1584 ----
   public PGpath(String s) throws SQLException
  
          Parameters:
!                 s - definition of the path in PostgreSQL's syntax.
  
          Throws: SQLException
                  on conversion failure
***************
*** 1602,1608 ****
                  obj - Object to compare with
  
          Returns:
!                 true if the two boxes are identical
  
          Overrides:
                  equals in class PGobject
--- 1602,1608 ----
                  obj - Object to compare with
  
          Returns:
!                 true if the two pathes are identical
  
          Overrides:
                  equals in class PGobject
***************
*** 1616,1622 ****
  
   public String getValue()
  
!           This returns the polygon in the syntax expected by 
  <productname>PostgreSQL</productname>
  
          Overrides:
--- 1616,1622 ----
  
   public String getValue()
  
!           This returns the path in the syntax expected by 
  <productname>PostgreSQL</productname>
  
          Overrides:
***************
*** 1706,1712 ****
                  obj - Object to compare with
  
          Returns:
!                 true if the two boxes are identical
  
          Overrides:
                  equals in class PGobject
--- 1706,1712 ----
                  obj - Object to compare with
  
          Returns:
!                 true if the two points are identical
  
          Overrides:
                  equals in class PGobject
***************
*** 1818,1824 ****
   public PGpolygon(String s) throws SQLException
                   
          Parameters:
!                 s - definition of the circle in PostgreSQL's syntax.
  
          Throws: SQLException
                  on conversion failure
--- 1818,1824 ----
   public PGpolygon(String s) throws SQLException
                   
          Parameters:
!                 s - definition of the polygon in PostgreSQL's syntax.
  
          Throws: SQLException
                  on conversion failure
***************
*** 1846,1852 ****
                  obj - Object to compare with
                                  
          Returns:
!                 true if the two boxes are identical
  
          Overrides:
                  equals in class PGobject
--- 1846,1852 ----
                  obj - Object to compare with
                                  
          Returns:
!                 true if the two polygons are identical
  
          Overrides:
                  equals in class PGobject
***************
*** 2473,2520 ****
          Throws: SQLException
                  on error
  
-                    Returns:
-                 Object relating to oid
- 
-         Throws: SQLException
-                 on error
- 
-  public int store(Object o) throws SQLException
- 
-           This stores an object into a table, returning it's OID.
- 
-           If the object has an int called OID, and it is > 0, then 
- that value is used for the OID, and the table will be updated. If the 
- value of OID is 0, then a new row will be created, and the value of 
- OID will be set in the object. This enables an object's value in the 
- database to be updateable. If the object has no int called OID, then 
- the object is stored. However if the object is later retrieved, 
- amended and stored again, it's new state will be appended to the 
- table, and will not overwrite the old entries.
- 
-         Parameters:
-                 o - Object to store (must implement Serializable)
- 
-         Returns:
-                 oid of stored object
- 
-         Throws: SQLException
-                 on error
-  
-  public static void create(Connection con,
-                            Object o) throws SQLException
- 
-           This method is not used by the driver, but it creates a 
- table, given a Serializable Java Object. It should be used before 
- serializing any objects.
- 
-         Parameters:
-                 c - Connection to database
-                 o - Object to base table on
- 
-         Throws: SQLException
-                 on error
-                 
   public static void create(Connection con,
                             Class c) throws SQLException
  
--- 2473,2478 ----
***************
*** 2596,2606 ****
                 
   public PGmoney(String value) throws SQLException
     
!           This is called mainly from the other geometric types, when a 
! point is imbeded within their definition.
  
          Parameters:
!                 value - Definition of this point in PostgreSQL's 
  syntax
  
   public PGmoney()
--- 2554,2563 ----
                 
   public PGmoney(String value) throws SQLException
     
!           Create a money.
  
          Parameters:
!                 value - Definition of this money in PostgreSQL's 
  syntax
  
   public PGmoney()
***************
*** 2612,2618 ****
   public void setValue(String s) throws SQLException
  
          Parameters:
!                 s - Definition of this point in PostgreSQL's syntax
  
          Throws: SQLException
                  on conversion failure
--- 2569,2575 ----
   public void setValue(String s) throws SQLException
  
          Parameters:
!                 s - Definition of this money in PostgreSQL's syntax
  
          Throws: SQLException
                  on conversion failure
***************
*** 2626,2632 ****
                  obj - Object to compare with
                                  
          Returns:
!                 true if the two boxes are identical
  
          Overrides:
                  equals in class PGobject
--- 2583,2589 ----
                  obj - Object to compare with
                                  
          Returns:
!                 true if the two moneys are identical
  
          Overrides:
                  equals in class PGobject
***************
*** 2641,2647 ****
   public String getValue()
  
          Returns:
!                 the PGpoint in the syntax expected by <productname>PostgreSQL</productname>
  
          Overrides:
                  getValue in class PGobject
--- 2598,2604 ----
   public String getValue()
  
          Returns:
!                 the PGmoney in the syntax expected by <productname>PostgreSQL</productname>
  
          Overrides:
                  getValue in class PGobject
***************
*** 2720,2726 ****
                  obj - Object to compare with
  
          Returns:
!                 true if the two boxes are identical
  
          Overrides:
                  equals in class Object
--- 2677,2683 ----
                  obj - Object to compare with
  
          Returns:
!                 true if the two objects are identical
  
          Overrides:
                  equals in class Object
***************
*** 2851,2859 ****
  
            Removes ( and ) from the beginning and end of all tokens
  
-         Returns:
-                 String without the ( or )
- 
   public static String removeBox(String s)
     
            Removes [ and ] from the beginning and end of a string
--- 2808,2813 ----
***************
*** 2868,2876 ****
  
            Removes [ and ] from the beginning and end of all tokens
  
-         Returns:
-                 String without the [ or ]
- 
   public static String removeAngle(String s)
  
            Removes < and > from the beginning and end of a string
--- 2822,2827 ----
***************
*** 2885,2893 ****
  
            Removes < and > from the beginning and end of all tokens
  
-         Returns:
-                 String without the < or >
- 
  <!-- **************************************************************** -->
  Class org.postgresql.util.Serialize
  
--- 2836,2841 ----
